USE [master]
GO

/****** Object:  Database [VeritasBlogDBV3]    Script Date: 06/09/2010 22:06:35 ******/
CREATE DATABASE [VeritasBlogDBV3] ON  PRIMARY 
( NAME = N'VeritasBlogDBV3', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10.MSSQLSERVER\MSSQL\DATA\VeritasBlogDBV3.mdf' , SIZE = 2048KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'VeritasBlogDBV3_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10.MSSQLSERVER\MSSQL\DATA\VeritasBlogDBV3_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [VeritasBlogDBV3] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [VeritasBlogDBV3].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [VeritasBlogDBV3] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET ARITHABORT OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [VeritasBlogDBV3] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [VeritasBlogDBV3] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [VeritasBlogDBV3] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET  DISABLE_BROKER 
GO

ALTER DATABASE [VeritasBlogDBV3] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [VeritasBlogDBV3] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [VeritasBlogDBV3] SET  READ_WRITE 
GO

ALTER DATABASE [VeritasBlogDBV3] SET RECOVERY FULL 
GO

ALTER DATABASE [VeritasBlogDBV3] SET  MULTI_USER 
GO

ALTER DATABASE [VeritasBlogDBV3] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [VeritasBlogDBV3] SET DB_CHAINING OFF 
GO







---Create the tables


USE [VeritasBlogDBV3]
GO
/****** Object:  Table [dbo].[BlogConfig]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[BlogConfig](
	[BlogConfigId] [int] IDENTITY(1,1) NOT NULL,
	[ConfigXml] [xml] NOT NULL,
	[Host] [nvarchar](100) NOT NULL,
	[CreateDate] [datetime] NOT NULL,
	[LastUpdateDate] [datetime] NOT NULL,
	[LastUpdatedById] [int] NOT NULL,
 CONSTRAINT [PK_BlogConfig] PRIMARY KEY CLUSTERED 
(
	[BlogConfigId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[BlogMenuItem]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[BlogMenuItem](
	[BlogMenuItemId] [int] IDENTITY(1,1) NOT NULL,
	[BlogConfigId] [int] NOT NULL,
	[IsView] [bit] NOT NULL,
	[LinkText] [varchar](100) NULL,
	[LinkUrl] [varchar](255) NULL,
	[MenuItemOrder] [int] NOT NULL,
	[PageContent] [nvarchar](max) NULL,
	[ViewName] [varchar](100) NULL,
	[CreatorId] [int] NOT NULL,
	[CreateDate] [datetime] NOT NULL,
	[LastUpdatedById] [int] NOT NULL,
	[LastUpdateDate] [datetime] NOT NULL,
 CONSTRAINT [PK_BlogMenuItem] PRIMARY KEY CLUSTERED 
(
	[BlogMenuItemId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[BlogMedia]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[BlogMedia](
	[BlogMediaId] [int] IDENTITY(1,1) NOT NULL,
	[BlogConfigId] [int] NOT NULL,
	[FileName] [varchar](100) NOT NULL,
	[FilePath] [varchar](500) NOT NULL,
	[ServerPath] [varchar](500) NOT NULL,
	[CreateDate] [datetime] NOT NULL,
	[CreatedById] [int] NOT NULL,
 CONSTRAINT [PK_BlogMedia] PRIMARY KEY CLUSTERED 
(
	[BlogMediaId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[BlogLog]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[BlogLog](
	[BlogLogId] [bigint] IDENTITY(1,1) NOT NULL,
	[BlogConfigId] [int] NOT NULL,
	[CreateDate] [datetime] NOT NULL,
	[EventLevel] [varchar](20) NOT NULL,
	[Exception] [ntext] NULL,
	[Logger] [varchar](256) NOT NULL,
	[Message] [varchar](255) NULL,
	[Url] [varchar](255) NULL,
 CONSTRAINT [PK_BlogLog] PRIMARY KEY CLUSTERED 
(
	[BlogLogId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[BlogFeedbackAuthor]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[BlogFeedbackAuthor](
	[BlogFeedbackAuthorId] [bigint] IDENTITY(1,1) NOT NULL,
	[BlogConfigId] [int] NOT NULL,
	[Name] [nvarchar](128) NOT NULL,
	[Email] [nvarchar](128) NOT NULL,
	[Url] [varchar](256) NULL,
	[FeedbackTotal] [int] NOT NULL,
	[CreateDate] [datetime] NOT NULL,
	[LastUpdateDate] [datetime] NOT NULL,
 CONSTRAINT [PK_BlogFeedbackAuthor] PRIMARY KEY CLUSTERED 
(
	[BlogFeedbackAuthorId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[BlogUser]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[BlogUser](
	[BlogUserId] [int] IDENTITY(1,1) NOT NULL,
	[BlogConfigId] [int] NOT NULL,
	[About] [ntext] NULL,
	[NotifyForFeedback] [bit] NOT NULL,
	[Username] [varchar](25) NOT NULL,
	[EmailAddress] [varchar](200) NOT NULL,
	[Password] [varchar](50) NOT NULL,
	[CreateDate] [datetime] NOT NULL,
	[LastUpdateDate] [datetime] NOT NULL,
 CONSTRAINT [PK_BlogUser] PRIMARY KEY CLUSTERED 
(
	[BlogUserId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[BlogRole]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[BlogRole](
	[BlogRoleId] [int] IDENTITY(1,1) NOT NULL,
	[BlogConfigId] [int] NOT NULL,
	[RoleName] [varchar](100) NOT NULL,
	[CreateDate] [datetime] NOT NULL,
 CONSTRAINT [PK_BlogRole] PRIMARY KEY CLUSTERED 
(
	[BlogRoleId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Blacklist]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Blacklist](
	[BlacklistId] [int] IDENTITY(1,1) NOT NULL,
	[BlogConfigId] [int] NOT NULL,
	[EmailAddress] [nvarchar](128) NOT NULL,
	[CreateDate] [datetime] NOT NULL,
 CONSTRAINT [PK_Blacklist] PRIMARY KEY CLUSTERED 
(
	[BlacklistId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[BlogUserRole]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[BlogUserRole](
	[BlogUserRoleId] [int] IDENTITY(1,1) NOT NULL,
	[BlogUserId] [int] NOT NULL,
	[BlogRoleId] [int] NOT NULL,
	[CreateDate] [datetime] NOT NULL,
 CONSTRAINT [PK_BlogUserRole] PRIMARY KEY CLUSTERED 
(
	[BlogUserRoleId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[BlogEntry]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[BlogEntry](
	[BlogEntryId] [bigint] IDENTITY(1,1) NOT NULL,
	[BlogAuthorId] [int] NOT NULL,
	[BlogConfigId] [int] NOT NULL,
	[EntryName] [varchar](255) NOT NULL,
	[FeedbackCount] [int] NOT NULL,
	[Keywords] [varchar](300) NULL,
	[PostType] [int] NOT NULL,
	[PublishDate] [datetime] NOT NULL,
	[Short] [nvarchar](1000) NULL,
	[Text] [nvarchar](max) NOT NULL,
	[Title] [nvarchar](255) NOT NULL,
	[CreateDate] [datetime] NOT NULL,
	[LastUpdateDate] [datetime] NOT NULL,
 CONSTRAINT [PK_BlogEntry] PRIMARY KEY CLUSTERED 
(
	[BlogEntryId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[BlogPage]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[BlogPage](
	[BlogPageId] [int] IDENTITY(1,1) NOT NULL,
	[BlogConfigId] [int] NOT NULL,
	[EncodedTitle] [nvarchar](500) NOT NULL,
	[PageTitle] [nvarchar](256) NOT NULL,
	[Description] [nvarchar](500) NULL,
	[Keywords] [nvarchar](500) NULL,
	[PageContent] [nvarchar](max) NULL,
	[CreateDate] [datetime] NOT NULL,
	[CreatedById] [int] NOT NULL,
	[LastUpdateDate] [datetime] NOT NULL,
	[LastUpdatedById] [int] NOT NULL,
 CONSTRAINT [PK_BlogPage] PRIMARY KEY CLUSTERED 
(
	[BlogPageId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[BlogCategory]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[BlogCategory](
	[BlogCategoryId] [int] IDENTITY(1,1) NOT NULL,
	[BlogConfigId] [int] NOT NULL,
	[Description] [nvarchar](1000) NULL,
	[IsActive] [nchar](10) NULL,
	[Title] [nvarchar](150) NOT NULL,
	[CreateDate] [datetime] NOT NULL,
	[CreatedById] [int] NOT NULL,
 CONSTRAINT [PK_BlogCategory] PRIMARY KEY CLUSTERED 
(
	[BlogCategoryId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[BlogFeedback]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[BlogFeedback](
	[BlogFeedbackId] [bigint] IDENTITY(1,1) NOT NULL,
	[BlogConfigId] [int] NOT NULL,
	[BlogEntryId] [bigint] NULL,
	[BlogFeedbackAuthorId] [bigint] NOT NULL,
	[Body] [ntext] NOT NULL,
	[FeedbackType] [int] NOT NULL,
	[IpAddress] [varchar](16) NULL,
	[IsBlogAuthor] [bit] NOT NULL,
	[NotifyAuthorOnFeedback] [bit] NOT NULL,
	[Status] [int] NOT NULL,
	[Title] [nvarchar](256) NOT NULL,
	[UserAgent] [nvarchar](255) NULL,
	[CreateDate] [datetime] NOT NULL,
	[LastUpdateDate] [datetime] NOT NULL,
 CONSTRAINT [PK_BlogFeedback] PRIMARY KEY CLUSTERED 
(
	[BlogFeedbackId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[BlogEntryViewCount]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[BlogEntryViewCount](
	[BlogEntryViewCountId] [bigint] IDENTITY(1,1) NOT NULL,
	[BlogConfigId] [int] NOT NULL,
	[BlogEntryId] [bigint] NOT NULL,
	[WebCount] [int] NOT NULL,
	[WebLastUpdated] [datetime] NOT NULL,
 CONSTRAINT [PK_BlogEntryViewCount] PRIMARY KEY CLUSTERED 
(
	[BlogEntryViewCountId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[BlogEntryCategory]    Script Date: 06/09/2010 22:08:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[BlogEntryCategory](
	[BlogEntryCategoryId] [bigint] IDENTITY(1,1) NOT NULL,
	[BlogEntryId] [bigint] NOT NULL,
	[BlogCategoryId] [int] NOT NULL,
	[CreateDate] [datetime] NOT NULL,
 CONSTRAINT [PK_BlogEntryCategory] PRIMARY KEY CLUSTERED 
(
	[BlogEntryCategoryId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Default [DF_BlogEntry_FeedbackCount]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogEntry] ADD  CONSTRAINT [DF_BlogEntry_FeedbackCount]  DEFAULT ((0)) FOR [FeedbackCount]
GO
/****** Object:  Default [DF_BlogEntryViewCount_WebCount]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogEntryViewCount] ADD  CONSTRAINT [DF_BlogEntryViewCount_WebCount]  DEFAULT ((0)) FOR [WebCount]
GO
/****** Object:  Default [DF_BlogFeedback_NotifyAuthorOnFeedback]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogFeedback] ADD  CONSTRAINT [DF_BlogFeedback_NotifyAuthorOnFeedback]  DEFAULT ((0)) FOR [NotifyAuthorOnFeedback]
GO
/****** Object:  Default [DF_BlogFeedback_Status]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogFeedback] ADD  CONSTRAINT [DF_BlogFeedback_Status]  DEFAULT ((0)) FOR [Status]
GO
/****** Object:  Default [DF_BlogFeedbackAuthor_FeedbackTotal]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogFeedbackAuthor] ADD  CONSTRAINT [DF_BlogFeedbackAuthor_FeedbackTotal]  DEFAULT ((1)) FOR [FeedbackTotal]
GO
/****** Object:  Default [DF_BlogUser_NotifyForFeedback]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogUser] ADD  CONSTRAINT [DF_BlogUser_NotifyForFeedback]  DEFAULT ((1)) FOR [NotifyForFeedback]
GO
/****** Object:  ForeignKey [FK_Blacklist_BlogConfig_BlogConfigId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[Blacklist]  WITH CHECK ADD  CONSTRAINT [FK_Blacklist_BlogConfig_BlogConfigId] FOREIGN KEY([BlogConfigId])
REFERENCES [dbo].[BlogConfig] ([BlogConfigId])
GO
ALTER TABLE [dbo].[Blacklist] CHECK CONSTRAINT [FK_Blacklist_BlogConfig_BlogConfigId]
GO
/****** Object:  ForeignKey [FK_BlogCategory_BlogConfig_BlogConfigId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogCategory]  WITH CHECK ADD  CONSTRAINT [FK_BlogCategory_BlogConfig_BlogConfigId] FOREIGN KEY([BlogConfigId])
REFERENCES [dbo].[BlogConfig] ([BlogConfigId])
GO
ALTER TABLE [dbo].[BlogCategory] CHECK CONSTRAINT [FK_BlogCategory_BlogConfig_BlogConfigId]
GO
/****** Object:  ForeignKey [FK_BlogCategory_BlogUser_CreatedById]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogCategory]  WITH CHECK ADD  CONSTRAINT [FK_BlogCategory_BlogUser_CreatedById] FOREIGN KEY([CreatedById])
REFERENCES [dbo].[BlogUser] ([BlogUserId])
GO
ALTER TABLE [dbo].[BlogCategory] CHECK CONSTRAINT [FK_BlogCategory_BlogUser_CreatedById]
GO
/****** Object:  ForeignKey [FK_BlogEntry_BlogConfig_BlogConfigId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogEntry]  WITH CHECK ADD  CONSTRAINT [FK_BlogEntry_BlogConfig_BlogConfigId] FOREIGN KEY([BlogConfigId])
REFERENCES [dbo].[BlogConfig] ([BlogConfigId])
GO
ALTER TABLE [dbo].[BlogEntry] CHECK CONSTRAINT [FK_BlogEntry_BlogConfig_BlogConfigId]
GO
/****** Object:  ForeignKey [FK_BlogEntry_BlogUser_BlogAuthorId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogEntry]  WITH CHECK ADD  CONSTRAINT [FK_BlogEntry_BlogUser_BlogAuthorId] FOREIGN KEY([BlogAuthorId])
REFERENCES [dbo].[BlogUser] ([BlogUserId])
GO
ALTER TABLE [dbo].[BlogEntry] CHECK CONSTRAINT [FK_BlogEntry_BlogUser_BlogAuthorId]
GO
/****** Object:  ForeignKey [FK_BlogEntryCategory_BlogCategory_BlogCategoryId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogEntryCategory]  WITH CHECK ADD  CONSTRAINT [FK_BlogEntryCategory_BlogCategory_BlogCategoryId] FOREIGN KEY([BlogCategoryId])
REFERENCES [dbo].[BlogCategory] ([BlogCategoryId])
GO
ALTER TABLE [dbo].[BlogEntryCategory] CHECK CONSTRAINT [FK_BlogEntryCategory_BlogCategory_BlogCategoryId]
GO
/****** Object:  ForeignKey [FK_BlogEntryCategory_BlogEntry_BlogEntryId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogEntryCategory]  WITH CHECK ADD  CONSTRAINT [FK_BlogEntryCategory_BlogEntry_BlogEntryId] FOREIGN KEY([BlogEntryId])
REFERENCES [dbo].[BlogEntry] ([BlogEntryId])
GO
ALTER TABLE [dbo].[BlogEntryCategory] CHECK CONSTRAINT [FK_BlogEntryCategory_BlogEntry_BlogEntryId]
GO
/****** Object:  ForeignKey [FK_BlogEntryViewCount_BlogConfig_BlogConfigId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogEntryViewCount]  WITH CHECK ADD  CONSTRAINT [FK_BlogEntryViewCount_BlogConfig_BlogConfigId] FOREIGN KEY([BlogConfigId])
REFERENCES [dbo].[BlogConfig] ([BlogConfigId])
GO
ALTER TABLE [dbo].[BlogEntryViewCount] CHECK CONSTRAINT [FK_BlogEntryViewCount_BlogConfig_BlogConfigId]
GO
/****** Object:  ForeignKey [FK_BlogEntryViewCount_BlogEntry_BlogEntryId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogEntryViewCount]  WITH CHECK ADD  CONSTRAINT [FK_BlogEntryViewCount_BlogEntry_BlogEntryId] FOREIGN KEY([BlogEntryId])
REFERENCES [dbo].[BlogEntry] ([BlogEntryId])
GO
ALTER TABLE [dbo].[BlogEntryViewCount] CHECK CONSTRAINT [FK_BlogEntryViewCount_BlogEntry_BlogEntryId]
GO
/****** Object:  ForeignKey [FK_BlogFeedback_BlogConfig_BlogConfigId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogFeedback]  WITH CHECK ADD  CONSTRAINT [FK_BlogFeedback_BlogConfig_BlogConfigId] FOREIGN KEY([BlogConfigId])
REFERENCES [dbo].[BlogConfig] ([BlogConfigId])
GO
ALTER TABLE [dbo].[BlogFeedback] CHECK CONSTRAINT [FK_BlogFeedback_BlogConfig_BlogConfigId]
GO
/****** Object:  ForeignKey [FK_BlogFeedback_BlogEntry_BlogEntryId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogFeedback]  WITH CHECK ADD  CONSTRAINT [FK_BlogFeedback_BlogEntry_BlogEntryId] FOREIGN KEY([BlogEntryId])
REFERENCES [dbo].[BlogEntry] ([BlogEntryId])
GO
ALTER TABLE [dbo].[BlogFeedback] CHECK CONSTRAINT [FK_BlogFeedback_BlogEntry_BlogEntryId]
GO
/****** Object:  ForeignKey [FK_BlogFeedback_BlogFeedbackAuthor_BlogFeedbackAuthorId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogFeedback]  WITH CHECK ADD  CONSTRAINT [FK_BlogFeedback_BlogFeedbackAuthor_BlogFeedbackAuthorId] FOREIGN KEY([BlogFeedbackAuthorId])
REFERENCES [dbo].[BlogFeedbackAuthor] ([BlogFeedbackAuthorId])
GO
ALTER TABLE [dbo].[BlogFeedback] CHECK CONSTRAINT [FK_BlogFeedback_BlogFeedbackAuthor_BlogFeedbackAuthorId]
GO
/****** Object:  ForeignKey [FK_BlogFeedbackAuthor_BlogConfig_BlogConfigId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogFeedbackAuthor]  WITH CHECK ADD  CONSTRAINT [FK_BlogFeedbackAuthor_BlogConfig_BlogConfigId] FOREIGN KEY([BlogConfigId])
REFERENCES [dbo].[BlogConfig] ([BlogConfigId])
GO
ALTER TABLE [dbo].[BlogFeedbackAuthor] CHECK CONSTRAINT [FK_BlogFeedbackAuthor_BlogConfig_BlogConfigId]
GO
/****** Object:  ForeignKey [FK_BlogLog_BlogConfig_BlogConfigId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogLog]  WITH CHECK ADD  CONSTRAINT [FK_BlogLog_BlogConfig_BlogConfigId] FOREIGN KEY([BlogConfigId])
REFERENCES [dbo].[BlogConfig] ([BlogConfigId])
GO
ALTER TABLE [dbo].[BlogLog] CHECK CONSTRAINT [FK_BlogLog_BlogConfig_BlogConfigId]
GO
/****** Object:  ForeignKey [FK_BlogMedia_BlogConfig_BlogConfigId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogMedia]  WITH CHECK ADD  CONSTRAINT [FK_BlogMedia_BlogConfig_BlogConfigId] FOREIGN KEY([BlogConfigId])
REFERENCES [dbo].[BlogConfig] ([BlogConfigId])
GO
ALTER TABLE [dbo].[BlogMedia] CHECK CONSTRAINT [FK_BlogMedia_BlogConfig_BlogConfigId]
GO
/****** Object:  ForeignKey [FK_BlogMenuItem_BlogConfig_BlogConfigId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogMenuItem]  WITH CHECK ADD  CONSTRAINT [FK_BlogMenuItem_BlogConfig_BlogConfigId] FOREIGN KEY([BlogConfigId])
REFERENCES [dbo].[BlogConfig] ([BlogConfigId])
GO
ALTER TABLE [dbo].[BlogMenuItem] CHECK CONSTRAINT [FK_BlogMenuItem_BlogConfig_BlogConfigId]
GO
/****** Object:  ForeignKey [FK_BlogPage_BlogConfig_BlogConfigId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogPage]  WITH CHECK ADD  CONSTRAINT [FK_BlogPage_BlogConfig_BlogConfigId] FOREIGN KEY([BlogConfigId])
REFERENCES [dbo].[BlogConfig] ([BlogConfigId])
GO
ALTER TABLE [dbo].[BlogPage] CHECK CONSTRAINT [FK_BlogPage_BlogConfig_BlogConfigId]
GO
/****** Object:  ForeignKey [FK_BlogPage_BlogUser_CreatedById]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogPage]  WITH CHECK ADD  CONSTRAINT [FK_BlogPage_BlogUser_CreatedById] FOREIGN KEY([CreatedById])
REFERENCES [dbo].[BlogUser] ([BlogUserId])
GO
ALTER TABLE [dbo].[BlogPage] CHECK CONSTRAINT [FK_BlogPage_BlogUser_CreatedById]
GO
/****** Object:  ForeignKey [FK_BlogPage_BlogUser_LastUpdatedById]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogPage]  WITH CHECK ADD  CONSTRAINT [FK_BlogPage_BlogUser_LastUpdatedById] FOREIGN KEY([LastUpdatedById])
REFERENCES [dbo].[BlogUser] ([BlogUserId])
GO
ALTER TABLE [dbo].[BlogPage] CHECK CONSTRAINT [FK_BlogPage_BlogUser_LastUpdatedById]
GO
/****** Object:  ForeignKey [FK_BlogRole_BlogConfig_BlogConfigId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogRole]  WITH CHECK ADD  CONSTRAINT [FK_BlogRole_BlogConfig_BlogConfigId] FOREIGN KEY([BlogConfigId])
REFERENCES [dbo].[BlogConfig] ([BlogConfigId])
GO
ALTER TABLE [dbo].[BlogRole] CHECK CONSTRAINT [FK_BlogRole_BlogConfig_BlogConfigId]
GO
/****** Object:  ForeignKey [FK_BlogUser_BlogConfig_BlogConfigId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogUser]  WITH CHECK ADD  CONSTRAINT [FK_BlogUser_BlogConfig_BlogConfigId] FOREIGN KEY([BlogConfigId])
REFERENCES [dbo].[BlogConfig] ([BlogConfigId])
GO
ALTER TABLE [dbo].[BlogUser] CHECK CONSTRAINT [FK_BlogUser_BlogConfig_BlogConfigId]
GO
/****** Object:  ForeignKey [FK_BlogUserRole_BlogRole_BlogRoleId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogUserRole]  WITH CHECK ADD  CONSTRAINT [FK_BlogUserRole_BlogRole_BlogRoleId] FOREIGN KEY([BlogRoleId])
REFERENCES [dbo].[BlogRole] ([BlogRoleId])
GO
ALTER TABLE [dbo].[BlogUserRole] CHECK CONSTRAINT [FK_BlogUserRole_BlogRole_BlogRoleId]
GO
/****** Object:  ForeignKey [FK_BlogUserRole_BlogUser_BlogUserId]    Script Date: 06/09/2010 22:08:22 ******/
ALTER TABLE [dbo].[BlogUserRole]  WITH CHECK ADD  CONSTRAINT [FK_BlogUserRole_BlogUser_BlogUserId] FOREIGN KEY([BlogUserId])
REFERENCES [dbo].[BlogUser] ([BlogUserId])
GO
ALTER TABLE [dbo].[BlogUserRole] CHECK CONSTRAINT [FK_BlogUserRole_BlogUser_BlogUserId]
GO
